public class Monitor extends Thread {
    private volatile Thread listener;
    private int frequency;

    public Monitor(int frequency) {
        this.frequency = frequency * 1000;
    }

    public void run() {
        listener = Thread.currentThread();

        while (listener != null) {
            //do something useful!
            System.out.println(System.currentTimeMillis());

            try {
                Thread.sleep(frequency);
            } catch (InterruptedException ignore) {
            }
        }
    }

    public void stopMonitor() {
        listener = null;
    }
}