import java.awt.*;
import java.net.*;
import javax.swing.*;


public class URLViewer extends JFrame {
    private URL url;
    private JEditorPane webView;

    public static void main(String[] args) {
        URLViewer viewer = new URLViewer(
                                   "http://www.pearsonptg.com/book_detail/0,3771,0672323990,00.html");
    }

    public URLViewer(String address) {
        super("URLViewer");
        webView = new JEditorPane();
        webView.setEditable(false);
        webView.setPreferredSize(new Dimension(400, 400));

        JScrollPane scrollPane = new JScrollPane(webView);
        getContentPane().add(scrollPane, BorderLayout.CENTER);
        pack();

        try {
            url = new URL(address);
            webView.setPage(url);
            setVisible(true);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}