import java.awt.*;                                                          
import java.awt.event.*;  
import java.util.Vector;                                                        
import javax.swing.*;      
import javax.swing.event.*;                                                                
                         
public class ChatViewer extends JPanel {                        
                         
    private ChatController controller;              
    private String userName;          
    
    
    public ChatViewer(ChatController controller, String userName ) {      
       this.controller = controller;              
       this.userName = userName;            
        
       chatView = new JTextArea(7,40);   
       chatView.setBackground(Color.black);  
       chatView.setForeground(Color.green);   
       chatLine = new JTextField();          
       JScrollPane scroller = new JScrollPane(chatView,JScrollPane.VERTICAL_SCROLLBAR_ALWAYS,          
                                         JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS);           
       setLayout(new BorderLayout());    
       add(chatLine, BorderLayout.NORTH);    
       add(scroller, BorderLayout.CENTER);       
       add(createChatControls(), BorderLayout.SOUTH);          
   
       chatControl.addActionListener(controller);        
  }       
    
  public JPanel createChatControls() {    
     JPanel panel = new JPanel();                           
     panel.setLayout(new GridLayout(1,1));               
     chatControl = new JButton("Send");               
     panel.add(chatControl);             
     return panel;                    
  }    
   
  public void append(String text) {   
     chatView.append(text);   
  }   
   
   
  public String getMessage() {   
      return chatLine.getText();   
  }   
   
  public void setMessage(String text) {   
      chatLine.setText(text);   
  }   
   
   protected JTextArea chatView;    
   protected JTextField chatLine;   
   protected JButton chatControl;   
   protected ImageIcon chatIcon;   
   
}