
package primecruncher;

import net.jxta.document.StructuredTextDocument;

import java.util.Map;

public interface ResultListener {

    /**
     * Notify that the results for a computation are ready.
     *
     * @param resultMap a map that contains the result, and possibly
     * other information about the computation
     */
    public void resultEvent(Map resultMap);

}
