package org.jworkplace.content;  

import java.io.Serializable;
import net.jini.core.entry.Entry;
import net.jini.lookup.entry.EntryBean;
 
public class MetaDataEntryBean implements EntryBean, Serializable {    
 
    protected MetaDataEntry assoc;

    public MetaDataEntryBean() {
       assoc = new MetaDataEntry();
    } 
    
    public void makeLink(Entry e) {
	assoc = (MetaDataEntry) e;
    }

    public Entry followLink() {
	return assoc;
    }

  public void setDescription (String description) {
    assoc.description  = description;
  }

  public String getDescription () {
    return assoc.description;
  }
  
  public void setSubject (String subject) {
    assoc.subject = subject;
  }

  public String getSubject() {
    return assoc.subject;
  }

  public void setCreator(String creator) {
    assoc.creator = creator;
  }

  public String getCreator() {
    return assoc.creator;
  }

  public void setPublisher (String publisher) {
    assoc.publisher = publisher;
  }

  public String getPublisher() {
    return assoc.publisher;
  }

  public void setDate (String date) {
    assoc.date = date;
  }

  public String getDate() {
    return assoc.date;
  }

  public void setType (String type) {
    assoc.type = type;
  }

  public String getType() {
    return assoc.type;
  }

  public void setLanguage (String language) {
    assoc.language = language;
  }

  public String getLanguage() {
    return assoc.language;
  }

  public void setFormat(String format) {
    assoc.format = format;
  }

  public String getFormat() {
    return assoc.format;
  }

  public void setLocation(String location) {
    assoc.location = location;
  }

  public String getLocation() {
    return assoc.location;
  }



}      
