package org.jworkplace.util;                                                 


import java.rmi.*;        

import net.jini.core.lookup.ServiceTemplate;  

import net.jini.core.lookup.ServiceRegistrar;    


import net.jini.core.transaction.server.TransactionManager;    
import net.jini.space.JavaSpace;         
import net.jini.discovery.LookupDiscoveryService;

import net.jini.event.EventMailbox;
import net.jini.lease.LeaseRenewalService;


 public class ServiceFinder 
  {      

    public static JavaSpace findSpace(ServiceRegistrar registrar) {       
        JavaSpace space = null;
   
        ServiceTemplate template;
        Class[] spaceInterface = { JavaSpace.class };        
        template = new ServiceTemplate(null, spaceInterface, null);         
        try {          
            space = (JavaSpace)registrar.lookup(template);                         
        } catch (Exception e) { e.printStackTrace(); 
                                System.out.println("ServiceFinder:findSpace exiting");
                                System.exit(1); }          
        return space;          
    } 
      
   public static TransactionManager findTM(ServiceRegistrar registrar) {     
       TransactionManager txm = null;

       ServiceTemplate template;
       Class[] transactionManagerInterface = { TransactionManager.class };        
       template = new ServiceTemplate(null, transactionManagerInterface, null);         
       try {     
           txm = (TransactionManager)registrar.lookup(template);              
       } catch (Exception e) { e.printStackTrace(); }          

       return txm;          
   }     




   public static LookupDiscoveryService findLDS(ServiceRegistrar registrar) {
       LookupDiscoveryService lookupService = null;


       ServiceTemplate template;

       Class[] lookupDiscoveryServiceInterface = { LookupDiscoveryService.class };        

       template = new ServiceTemplate(null, lookupDiscoveryServiceInterface, null);         


       try { 

          lookupService = (LookupDiscoveryService)registrar.lookup(template);

       } catch (Exception e) { e.printStackTrace(); }

       return lookupService;



    }

   

    public static LeaseRenewalService findLRS(ServiceRegistrar registrar) {
       LeaseRenewalService leaseService = null;
       ServiceTemplate template;

       Class[] leaseRenewalServiceInterface = { LeaseRenewalService.class };        
       template = new ServiceTemplate(null, leaseRenewalServiceInterface, null);         
       try { 
          leaseService = (LeaseRenewalService)registrar.lookup(template);
       } catch (Exception e) { e.printStackTrace(); }

       return leaseService;
    }

    public static EventMailbox findEMS(ServiceRegistrar registrar) {
       EventMailbox mailbox = null;
       ServiceTemplate template;

       Class[] eventMailboxInterface = { EventMailbox.class };        
       template = new ServiceTemplate(null, eventMailboxInterface, null);         
       try { 
          mailbox = (EventMailbox)registrar.lookup(template);
       } catch (Exception e) { e.printStackTrace(); }

       return mailbox;
    }

}    