/*
 * 20020407
 * Requester.java
 * Requests for a SOAP service over JXTA.
 */


package ch20.peer;


import net.jxta.endpoint.Message;
import net.jxta.pipe.PipeMsgEvent;

import ch20.peer.JXTAPeer;


public class Requester extends JXTAPeer {

	public Requester() {
		super();
		setInputPipeMessageListener(this);
	}//constructor


	public void pipeMsgEvent ( PipeMsgEvent event ){
		receiver.setText(receiver.getText()+"Response received:\n");
		Message SOAPMessage = event.getMessage();
		receiver.setText(receiver.getText()+SOAPMessage.getString("SOAPResponse")+":\n");
	}//pipeMsgEvent

}// end class Client


