import java.net.*;


public class MulticastListener {
    public static void main(String[] args) {
        int port = 1234;
        String address = "224.0.0.1";
        byte[] data = new byte[256];

        try {
            InetAddress ip = InetAddress.getByName(address);
            MulticastSocket ms = new MulticastSocket(port);
            ms.joinGroup(ip);

            DatagramPacket packet = new DatagramPacket(data, data.length);
            ms.receive(packet);

            String message = new String(packet.getData(), 0, packet.getLength());
            System.out.println(message);
            ms.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}