import java.net.*;


public class MulticastSender {
    public static void main(String[] args) {
        int port = 1234;
        String address = "224.0.0.1";
        String data = "Hello Multicast";

        try {
            InetAddress ip = InetAddress.getByName(address);
            DatagramPacket packet = new DatagramPacket(data.getBytes(), 
                                                       data.length(), ip, port);
            MulticastSocket ms = new MulticastSocket();
            ms.send(packet);
            ms.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}