/*
 * Created by IntelliJ IDEA.
 * User: fsommers
 * Date: May 1, 2002
 * Time: 11:48:58 PM
 * To change template for new class use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package primecruncher;

import net.jxta.document.StructuredTextDocument;
import net.jxta.endpoint.Message;

public class Result {

    private StructuredTextDocument resultDocument;
    private Message message;
    private Object resultValue;
    private String resultString;

    public Result(StructuredTextDocument resultDocument) {
        this.resultDocument = resultDocument;
    }

    public Result(Message message) {
        this.message = message;

    }

    public Result (Object resultValue) {
        this.resultValue = resultValue;
    }

    public Result (String resultString) {
        this.resultString = resultString;
    }

    public StructuredTextDocument getResultDocument() {
        return resultDocument;
    }

    public Message getMessage() {
        return message;
    }

    public Object getResultValue() {
        return resultValue;
    }

    public String toString() {
        return resultString;
    }


}
