package org.jworkplace.content;                
import net.jini.entry.AbstractEntry; 
 
public class MetaDataEntry extends Index {    
 
    public String description;
    public String subject;
    public String creator;
    public String publisher;
    public String date;
    public String type;
    public String language;
    public String format;
    public String location;

    public MetaDataEntry() {
       this(null,null,null,null,null,null,null,null,null);
    } 
    
    public MetaDataEntry(String subject,
                         String creator,
                         String publisher,
                         String date,
                         String type,
                         String language,
                         String format,
                         String location,
                         String description)
    {
       super();
       this.name = subject;
       this.subject = subject;
       this.creator = creator;
       this.publisher = publisher;
       this.date = date;
       this.type = type;
       this.language = language;
       this.format = format;  
       this.location = location;
       this.description = description;
    }  


}      
